Bug 131530 - authd doesn't cleanly verify with `rpm -V authd`
authd doesn't cleanly verify with `rpm -V authd`
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: authd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 17:51 EDT by Brian Brock
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 09:49:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2004-09-01 17:51:31 EDT
authd-1.4.1-1.rhel3 doesn't cleanly verify with `rpm -V authd`

/etc/ident.key won't verify properly with `rpm -V` with the packaging
attributes
specified.  Here's the output immediately after installation:

# rpm -ihv
/mnt/redhat/beehive/updates/dist/3ES/i386/authd-1.4.1-1.rhel3.i386.rpm
Preparing...               
########################################### [100%]
   1:authd                 
########################################### [100%]
.qa.[root@i386-3es:~]# rpm -V authd
SM5..UGT c /etc/ident.key


Other files that commonly change immediately, from use in
authentication (like /etc/passwd) have attributes specified in the
spec file like this:

%verify(not md5 size mtime) %config(noreplace) /etc/passwd


/etc/ident.key contains these attributes in spec file:

%config %{_sysconfdir}/ident.key
Comment 1 Eido Inoue 2004-10-14 12:37:18 EDT
fixed in rawhide and U4
Comment 2 Binand Sethumadhavan 2005-03-28 13:15:21 EST
This is certainly not fixed in RHEL3 U4.

[root@hercules xinetd.d]# up2date authd

Fetching Obsoletes list for channel: rhel-i386-es-3...

Fetching rpm headers...

Name                                    Version        Rel
----------------------------------------------------------


The following packages you requested are already updated:
authd
[root@hercules xinetd.d]# rpm -q authd
authd-1.4.1-1.rhel3
[root@hercules xinetd.d]# cat /etc/redhat-release
Red Hat Enterprise Linux ES release 3 (Taroon Update 4)
[root@hercules xinetd.d]# rpm -V authd
SM5..UGT c /etc/ident.key

There is also #15040. And further, authd ships with an xinetd.d/auth file that
defaults to "disable = no". Can this be fixed too?

Thanks,

Binand
Comment 3 Jakub Hrozek 2006-03-07 09:26:43 EST
This is not fixed even in U7:

[root@bender tps]# rpm -q authd
authd-1.4.1-1.rhel3.i386
[root@bender tps]# rpm -V authd
SM5..UGT c /etc/ident.key

Reopening..

Note You need to log in before you can comment on or make changes to this bug.